サポート » 使い方全般 » PHPアップデートでログインできなくなりました

  • 解決済 hyropon

    (@hyropon)


    初めまして。初心者ユーザーなのですが、10年ほど前からimbalance2というテーマを使っていまして
    https://themetix.com/imbalance2
    該当テーマがサポートもアップデートもなくなっているみたいなので、別テーマに変更を考えました。
    そして
    https://themeforest.net/item/skylab-portfolio-photography-wordpress-theme/4740718
    このテーマを購入してインストールしたところ、previewができないのでPHP5.3から7.3へアップデートしたところ、
    エラーでログインができなくなり、lolipopのftpのテーマからimbalance2テーマを削除しました。

    ここで当然なのですがテーマがなくなったことにより、ログインも新しいテーマへアップデートもできなくなっています。
    ログインサイトでのエラーメッセージは;

    Warning: Illegal string offset ‘remember’ in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 39

    Warning: Cannot assign an empty string to a string offset in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 39

    Warning: Illegal string offset ‘user_login’ in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 54

    Fatal error: Uncaught Error: Cannot create references to/from string offsets in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php:54 Stack trace: #0 /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-login.php(779): wp_signon(”, ”) #1 {main} thrown in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 54

    となっています。どなたかログインの方法、もしくはlolipopのftpからテーマ設定の方法があれば教えてくださいませ。

    宜しくお願いします!

    ヘルプの必要なページ: [リンクを見るにはログイン]

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • モデレーター Takayuki Miyoshi

    (@takayukister)

    WordPress のバージョンは何でしょうか。もし現行のバージョンをお使いなら twentytwentytwo というデフォルトのテーマがあるはずです。古いバージョンの WordPress でも “twenty 何とか” というデフォルトテーマがテーマディレクトリに残っているはずです。まずそれを確認してください。

    デフォルトテーマが確認できたら、themeforest で購入したテーマを FTP 経由で削除してください。これによりデフォルトテーマが自動的に有効になります。

    このテーマを購入してインストールしたところ、previewができないのでPHP5.3から7.3へアップデートしたところ、エラーでログインができなくなり、

    themeforest のテーマに何か問題があったということかと思いますが、その問題に関してはテーマの販売元に問い合わせてください。このフォーラムでは商用プロダクトのサポートはしておりません。

    トピック投稿者 hyropon

    (@hyropon)

    返信有難うございます!早速themeforestのテーマを削除してみたのですが、また下記エラーになりました。
    今theme階層にあるのは

    twentyfourteen
    twentythirteeen
    twentytweleve
    ubud
    index.php

    のみとなっています。wordpressのバージョンはlolipopから履歴確認したところv3.9.1でした。
    アップデートすると旧テーマレイアウトが壊れてしまったため7年ほどアップデートしていませんでした。
    こちらdashboardにログインできないのでwordpress自体をアップデートすることもできません。
    例えばlolipopで新たに簡単インストールしてしまっていいものでしょうか?
    非常に助かっております。宜しくお願いします。

    Warning: Illegal string offset ‘remember’ in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 39

    Warning: Cannot assign an empty string to a string offset in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 39

    Warning: Illegal string offset ‘user_login’ in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 54

    Fatal error: Uncaught Error: Cannot create references to/from string offsets in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php:54 Stack trace: #0 /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-login.php(779): wp_signon(”, ”) #1 {main} thrown in /home/users/2/lolipop.jp-196519098bc70aa9/web/wp-includes/user.php on line 54

    モデレーター Takayuki Miyoshi

    (@takayukister)

    おそらく WordPress 3.9.1 は PHP 7.3 の環境で正常に動作しないだろうと思います。

    余りにも長い期間放置されているのでこの状態から個々のソフトウェアをアップデートしていくのは難しいでしょう。私がサイトオーナーなら今のサイトをあきらめてゼロからインストールし直すことを考えます。

    トピック投稿者 hyropon

    (@hyropon)

    返信ありがとうございます!
    なるほどですね。削除したらログインできましたので
    新規作成しました!有難うございました!

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。